<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>pqs-process</artifactId>
        <groupId>com.njcn</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <name>技术监督管理模块</name>
    <artifactId>process-boot</artifactId>


    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>


    <dependencies>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>process-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-web</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-swagger</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-influxDB</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>pq-device-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>pms-device-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>user-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>event-api</artifactId>
            <version>${project.version}</version>
        </dependency>


        <dependency>
            <groupId>com.belerweb</groupId>
            <artifactId>pinyin4j</artifactId>
            <version>2.5.1</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>prepare-api</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>
        <!--华为obs工具包-->
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-oss</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- 多数据源切换，当数据源为oracle时需要使用 -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
            <version>3.5.1</version>
        </dependency>

        <!--flowable-->
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-spring-boot-starter</artifactId>
            <version>6.7.2</version>
            <!-- 排除flowable自带的权限认证 -->
            <exclusions>
                <exclusion>
                    <groupId>org.flowable</groupId>
                    <artifactId>flowable-spring-security</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!--阿里的csb-->
        <dependency>
            <groupId>com.alibaba.csb.sdk</groupId>
            <artifactId>http-client</artifactId>
            <version>1.1.5.11</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>processboot</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <compilerArgument>-Xlint:unchecked</compilerArgument>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>com.spotify</groupId>
                <artifactId>docker-maven-plugin</artifactId>
                <version>1.0.0</version>
                <executions>
                    <execution>
                        <id>build-image</id>
                        <phase>${docker.operate}</phase>
                        <goals>
                            <goal>build</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <!--<serverId>36dockerHarbor</serverId>-->
                    <registryUrl>http://${docker.repostory}</registryUrl>
                    <!-- 镜像名称 -->
                    <imageName>${docker.repostory}/${docker.registry.name}/${project.artifactId}</imageName>
                    <imageTags>
                        <imageTag>latest</imageTag>
                    </imageTags>
                    <dockerHost>${docker.url}</dockerHost>
                    <dockerDirectory>${basedir}/</dockerDirectory>
                    <resources>
                        <resource>
                            <targetPath>/ROOT</targetPath>
                            <directory>${project.build.directory}</directory>
                            <include>${project.build.finalName}.jar</include>
                        </resource>
                    </resources>
                </configuration>
            </plugin>
        </plugins>
    </build>


</project>
